package com.eogns.board_back.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.eogns.board_back.entity.LeaveRecordsEntity;
import com.eogns.board_back.service.LeaveRecordsService;

import java.time.LocalDate;
import java.util.List;

@RestController
@RequestMapping("/api/v1/user")
public class LeaveRecordsController {
    @Autowired
    private LeaveRecordsService leaveRecordsService;

    @PostMapping("/leave/apply")
    public LeaveRecordsEntity applyLeave(
            @RequestParam String email,
            @RequestParam String status,
            @RequestParam LocalDate startDate,  
            @RequestParam LocalDate endDate,
            @RequestParam(required = false) String location) {
        return leaveRecordsService.applyLeave(email, status, startDate, endDate, location);
    }

    @GetMapping("/leave/{email}")
    public List<LeaveRecordsEntity> getLeaveRecords(@PathVariable String email) {
        return leaveRecordsService.getLeaveRecords(email);
    }
}

