package com.eogns.board_back.entity;

import com.eogns.board_back.dto.request.board.PatchBoardResquestDto;
import com.eogns.board_back.dto.request.board.PostBoardRequestDto;

import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.text.SimpleDateFormat;
import java.time.Instant;

@Getter
@NoArgsConstructor
@AllArgsConstructor
@Entity(name = "board")
@Table(name="board")

public class BoardEntity {
    @Id @GeneratedValue(strategy = GenerationType.IDENTITY)  /* Auto increment 역할 */
    private int boardNumber ;
    private String title;
    private String content;
    private String writeDatetime;
    private int favoriteCount;
    private int commentCount;
    private int viewCount;
    private String writerEmail;

    public BoardEntity(PostBoardRequestDto dto, String email){

        Date now = Date.from(Instant.now());
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String writeDatetime = simpleDateFormat.format(now) ;

        this.title = dto.getTitle();
        this.content = dto.getContent();
        this.writeDatetime = writeDatetime;
        this.favoriteCount = 0;
        this.commentCount = 0;
        this.viewCount = 0;
        this.writerEmail = email;
    }

    public void imcreaseViewCount() {
        this.viewCount++;
    }

    public void increaseFavoriteCount(){
        this.favoriteCount++;
    }

    public void increaseCommentCount(){
        this.commentCount++;
    }

    public void decreaseFavoriteCount(){
        this.favoriteCount--;
    }

    public void patchBoard(PatchBoardResquestDto dto){
        this.title = dto.getTitle();
        this.content = dto.getContent();
    }

    
}


//import java.time.LocalDateTime;
//import java.time.format.DateTimeFormatter;
//
//@Getter
//@NoArgsConstructor
//@AllArgsConstructor
//@Entity(name = "board")
//@Table(name="board")
//public class BoardEntity {
//    @Id
//    @GeneratedValue(strategy = GenerationType.IDENTITY)
//    private int boardNumber;
//    private String title;
//    private String content;
//    private LocalDateTime writeDatetime;
//    private int favoriteCount;
//    private int commentCount;
//    private int viewCount;
//    private String writerEmail;
//
//    public BoardEntity(PostBoardRequestDto dto, String email) {
//        this.title = dto.getTitle();
//        this.content = dto.getContent();
//        this.writeDatetime = LocalDateTime.now(); // 현재 시간 저장
//        this.favoriteCount = 0;
//        this.commentCount = 0;
//        this.viewCount = 0;
//        this.writerEmail = email;
//    }
//
//    public void imcreaseViewCount() {
//        this.viewCount++;
//    }
//
//    public void increaseFavoriteCount() {
//        this.favoriteCount++;
//    }
//
//    public void increaseCommentCount() {
//        this.commentCount++;
//    }
//
//    public void decreaseFavoriteCount() {
//        this.favoriteCount--;
//    }
//}
