package com.eogns.board_back.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.eogns.board_back.entity.LeaveRecordsEntity;
import com.eogns.board_back.repository.LeaveRecordsRepository;

import java.util.List;
import java.time.LocalDate;

@Service
public class LeaveRecordsService {
    @Autowired
    private LeaveRecordsRepository leaveRecordsRepository;

    public LeaveRecordsEntity applyLeave(String email, String status, LocalDate startDate, LocalDate endDate, String location) {
        LeaveRecordsEntity leaveRecords = new LeaveRecordsEntity();
        leaveRecords.setEmail(email);
        leaveRecords.setStatus(status);
        leaveRecords.setVacationStartDate(startDate);
        leaveRecords.setVacationEndDate(endDate);
        leaveRecords.setBusinessTripLocation(location);
        leaveRecords.setRecordedAt(LocalDate.now());
        return leaveRecordsRepository.save(leaveRecords);
    }

    public List<LeaveRecordsEntity> getLeaveRecords(String email) {
        return leaveRecordsRepository.findByEmail(email);
    }
}

