import BoardDetail from "views/Board/Detail";

// 메인 페이지 경로를 반환하는 함수
export const MAIN_PATH = () => "/";

// 인증 관련 페이지 경로를 반환하는 함수
export const AUTH_PATH = () => "/auth";

// 검색 결과 페이지 경로를 반환하는 함수
// 검색어를 path 변수로 포함
export const SEARCH_PATH = (searchWord: string) => `/search/${searchWord}`;

// 특정 사용자 페이지 경로를 반환하는 함수
// 사용자 이메일을 path 변수로 포함
export const USER_PATH = (userEmail: string) => `/user/${userEmail}`;

// 게시판 경로를 반환하는 함수
export const BOARD_PATH = () => "/board";

// 특정 게시물 상세 페이지 경로를 반환하는 함수
// 게시물 번호를 path 변수로 포함
export const BOARD_DETAIL_PATH = (boardNumber: string | number) =>
  `detail/${boardNumber}`;

// 게시물 작성 페이지 경로를 반환하는 함수
export const BOARD_WRITE_PATH = () => "write";

// 특정 게시물 수정 페이지 경로를 반환하는 함수
// 게시물 번호를 path 변수로 포함
export const BOARD_UPDATE_PATH = (boardNumber: string | number) =>
  `update/${boardNumber}`;

// 사원 관리 페이지 경로를 반환하는 함수
export const EMPLOYEE_MANAGEMENT_PATH = () => "/employee/sign-up";

// 권한 관리 페이지 경로를 반환하는 함수
export const PERMISSION_MANAGEMENT_PATH = () => "/menu/permisson";

// 공지사항 목록 페이지 경로를 반환하는 함수
export const NOTICE_LIST_PATH = () => "/notice/list";

// 공지사항 작성 페이지 경로를 반환하는 함수
export const NOTICE_WRITE_PATH = () => "/notice/write";

/*  EMPLOYEE_MANAGEMENT_PATH,
  PERMISSION_MANAGEMENT_PATH,
  NOTICE_PATH */
